using System;
using System.Windows.Data;
using System.Windows.Media;

namespace HeatmapBindingTest
{
    public class PositiveNegativeDecimalToHeatMapColorConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {

            decimal decimalValue = (decimal)value;

            if (decimalValue > 0)
            {
                if (decimalValue > 5)
                    return Colors.Green;
                else
                {
                    var green = (byte)(decimalValue * 255 / 5);
                    return Color.FromRgb(0, green, 0);
                }
            }
            if (decimalValue < 0)
            {
                if (decimalValue < -5)
                    return Colors.Red;
                else
                {
                    var red = (byte)(-1 * decimalValue * 255 / 5);
                    return Color.FromRgb(red, 0, 0);
                }


            }

            return Colors.Black;




        }


        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}